Quality Control
Update a QC Process
Updates a QC Process name, archival, or checklist
PATCH
/
v2
/
qc
/
processes
/
{qcpID}
Update a QC Process
curl --request PATCH \
--url https://api.slate.inc/qc/v2/qc/processes/{qcpID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"description": "<string>",
"checklistId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archivedOn": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.slate.inc/qc/v2/qc/processes/{qcpID}"
payload = {
"displayName": "<string>",
"description": "<string>",
"checklistId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archivedOn": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
description: '<string>',
checklistId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
archivedOn: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.slate.inc/qc/v2/qc/processes/{qcpID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": "<string>",
"displayName": "<string>",
"createdOn": "2023-11-07T05:31:56Z",
"archivedOn": "2023-11-07T05:31:56Z",
"checklistId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Owner-scoped bearer token. The owner a request is scoped to is derived from the token; list endpoints also take an explicit owner query parameter your token must be authorized to read.
Path Parameters
Body
application/json
Response
QC Process patched successfully
Unique identifier for the QC process
The ID of the owner
The display name of the QC process
Timestamp when the QC process was created
Timestamp when the QC process was archived
Unique identifier for the QC checklist for this process
⌘I
Update a QC Process
